Jump to content
  • Advertisement
Sign in to follow this  
nickme

SFML:how to install 2.0 on vc++2010 express.

This topic is 2484 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

hi,
i had already successfully installed sfml 1.6 on vc++2010 but want to install 2.0. i wonder if it be as easy as replace the old lib and include files with the 2.0's. i dont want to do that before i am sure that it won't corrupts my setup.

thanks.

Share this post


Link to post
Share on other sites
Advertisement

hi,
i had already successfully installed sfml 1.6 on vc++2010 but want to install 2.0. i wonder if it be as easy as replace the old lib and include files with the 2.0's. i dont want to do that before i am sure that it won't corrupts my setup.

thanks.

It's pretty close to that, but not quite exactly. You'll have to download the 2.0 libs and use CMake to make a Visual Studio project so you can build the libs. Then delete the old libs and headers and paste in the new ones. You'll want to double check that the names of the libs haven't changed (I can't remember if they have or not), and if they have you'll have to update the settings in your linker.

You should be aware though that SFML's 2.0 API is not compatible with the 1.6 API. There were some changes made and it will probably break your code. The changes shouldn't be too big, but just be ready to see some errors and to check the docs/headers to see what's different and how you should be calling things.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

GameDev.net is your game development community. Create an account for your GameDev Portfolio and participate in the largest developer community in the games industry.

Sign me up!